using System;
using System.Collections.Generic;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using EKETEAM.Data;
using EKETEAM.FrameWork;

namespace eFrameWork.AppMobile
{
    public partial class Custom : System.Web.UI.Page
    {
        public string UserArea = "AppMobile";        
        public eModel model;
        public bool Ajax = false;
        protected void Page_Load(object sender, EventArgs e)
        {
            eUser user = new eUser(UserArea);
            user.Check();

            eModelInfo customModel = new eModelInfo(user);
            model = customModel.Model;

            string path = model.ModelInfo["AspxFile"].ToString();
            eBase.ExecutePage(path, LitBody);
        }
        protected void Page_PreRender(object sender, EventArgs e)
        {
            Literal lit = (Literal)Master.FindControl("LitTitle");
            if (lit != null)
            {
                lit.Text = model.ModelInfo["mc"].ToString() + " - " + eConfig.systemName();
            }
            lit = (Literal)Master.FindControl("LitJavascript");
            if (lit != null && model.Javasctipt.Length > 0)
            {
                lit.Text = model.Javasctipt;
            }
        }
    }
}